package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 收费类型
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("charge_type")
public class ChargeType extends Model<ChargeType> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;
    /**
     * 名称
     */
    @TableField("name_")
    private String name;
    @TableField("del_flag_")
    private String delFlag;
    /**
     * 描述
     */
    @TableField("description_")
    private String description;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;
    /**
     * 默认课程形态
     */
    @TableField("course_form_")
    private String courseForm;


    public Integer getId() {
        return id;
    }

    public ChargeType setId(Integer id) {
        this.id = id;
        return this;
    }

    public String getName() {
        return name;
    }

    public ChargeType setName(String name) {
        this.name = name;
        return this;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public ChargeType setDelFlag(String delFlag) {
        this.delFlag = delFlag;
        return this;
    }

    public String getDescription() {
        return description;
    }

    public ChargeType setDescription(String description) {
        this.description = description;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public ChargeType setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public ChargeType setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getCourseForm() {
        return courseForm;
    }

    public ChargeType setCourseForm(String courseForm) {
        this.courseForm = courseForm;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "ChargeType{" +
        ", id=" + id +
        ", name=" + name +
        ", delFlag=" + delFlag +
        ", description=" + description +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", courseForm=" + courseForm +
        "}";
    }
}
